Share via


Mongo DB Resources - Update Mongo DB Collection Throughput

Update the RUs per second of an Azure Cosmos DB MongoDB collection

PUT https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.DocumentDB/databaseAccounts/{accountName}/mongodbDatabases/{databaseName}/collections/{collectionName}/throughputSettings/default?api-version=2025-10-15

URI Parameters

Name In Required Type Description
accountName
path True

string

minLength: 3
maxLength: 50
pattern: ^[a-z0-9]+(-[a-z0-9]+)*

Cosmos DB database account name.

collectionName
path True

string

Cosmos DB collection name.

databaseName
path True

string

Cosmos DB database name.

resourceGroupName
path True

string

minLength: 1
maxLength: 90

The name of the resource group. The name is case insensitive.

subscriptionId
path True

string

minLength: 1

The ID of the target subscription.

api-version
query True

string

minLength: 1

The API version to use for this operation.

Request Body

Name Type Description
updateThroughputParameters

ThroughputSettingsUpdateParameters

The RUs per second of the parameters to provide for the current MongoDB collection.

Responses

Name Type Description
200 OK

ThroughputSettingsGetResults

The RUs per second of the MongoDB collection update operation was completed successfully.

202 Accepted

The RUs per second of the MongoDB collection update operation will complete asynchronously.

Headers

  • azure-AsyncOperation: string
  • location: string

Security

azure_auth

Azure Active Directory OAuth2 Flow

Type: oauth2
Flow: implicit
Authorization URL: https://login.microsoftonline.com/common/oauth2/authorize

Scopes

Name Description
user_impersonation Impersonate your user account

Examples

CosmosDBMongoDBCollectionThroughputUpdate

Sample request

PUT https://management.azure.com/subscriptions/subid/resourceGroups/rg1/providers/Microsoft.DocumentDB/databaseAccounts/ddb1/mongodbDatabases/databaseName/collections/collectionName/throughputSettings/default?api-version=2025-10-15

{
  "location": "West US",
  "tags": {},
  "properties": {
    "resource": {
      "throughput": 400
    }
  }
}

Sample response

{
  "id": "/subscriptions/subid/resourceGroups/rg1/providers/Microsoft.DocumentDB/databaseAccounts/ddb1/mongodbDatabases/databaseName/mongodbCollections/collectionName/throughputSettings/default",
  "name": "default",
  "type": "Microsoft.DocumentDB/databaseAccounts/mongodbDatabases/mongodbCollections/throughputSettings",
  "location": "West US",
  "tags": {},
  "properties": {
    "resource": {
      "throughput": 400,
      "minimumThroughput": "400",
      "offerReplacePending": "true",
      "_rid": "PD5DALigDgw=",
      "_ts": 1459200611,
      "_etag": "\"00005900-0000-0000-0000-56f9a2630000\""
    }
  }
}

Definitions

Name Description
AutoscaleSettingsResource

Cosmos DB provisioned throughput settings object

AutoUpgradePolicyResource

Cosmos DB resource auto-upgrade policy

Resource
ThroughputPolicyResource

Cosmos DB resource throughput policy

ThroughputSettingsGetResults

An Azure Cosmos DB resource throughput.

ThroughputSettingsResource

Cosmos DB resource throughput object. Either throughput is required or autoscaleSettings is required, but not both.

ThroughputSettingsUpdateParameters

The RUs per second of the parameters to provide for the current MongoDB collection.

AutoscaleSettingsResource

Cosmos DB provisioned throughput settings object

Name Type Description
autoUpgradePolicy

AutoUpgradePolicyResource

Cosmos DB resource auto-upgrade policy

maxThroughput

integer

Represents maximum throughput container can scale up to.

targetMaxThroughput

integer

Represents target maximum throughput container can scale up to once offer is no longer in pending state.

AutoUpgradePolicyResource

Cosmos DB resource auto-upgrade policy

Name Type Description
throughputPolicy

ThroughputPolicyResource

Represents throughput policy which service must adhere to for auto-upgrade

Resource

Name Type Description
_etag

string

A system generated property representing the resource etag required for optimistic concurrency control.

_rid

string

A system generated property. A unique identifier.

_ts

number

A system generated property that denotes the last updated timestamp of the resource.

autoscaleSettings

AutoscaleSettingsResource

Cosmos DB resource for autoscale settings. Either throughput is required or autoscaleSettings is required, but not both.

instantMaximumThroughput

string

The offer throughput value to instantly scale up without triggering splits

minimumThroughput

string

The minimum throughput of the resource

offerReplacePending

string

The throughput replace is pending

softAllowedMaximumThroughput

string

The maximum throughput value or the maximum maxThroughput value (for autoscale) that can be specified

throughput

integer

Value of the Cosmos DB resource throughput. Either throughput is required or autoscaleSettings is required, but not both.

ThroughputPolicyResource

Cosmos DB resource throughput policy

Name Type Description
incrementPercent

integer

Represents the percentage by which throughput can increase every time throughput policy kicks in.

isEnabled

boolean

Determines whether the ThroughputPolicy is active or not

ThroughputSettingsGetResults

An Azure Cosmos DB resource throughput.

Name Type Description
id

string

The unique resource identifier of the ARM resource.

location

string

The location of the resource group to which the resource belongs.

name

string

The name of the ARM resource.

properties.resource

Resource

tags

object

Tags are a list of key-value pairs that describe the resource. These tags can be used in viewing and grouping this resource (across resource groups). A maximum of 15 tags can be provided for a resource. Each tag must have a key no greater than 128 characters and value no greater than 256 characters. For example, the default experience for a template type is set with "defaultExperience": "Cassandra". Current "defaultExperience" values also include "Table", "Graph", "DocumentDB", and "MongoDB".

type

string

The type of Azure resource.

ThroughputSettingsResource

Cosmos DB resource throughput object. Either throughput is required or autoscaleSettings is required, but not both.

Name Type Description
autoscaleSettings

AutoscaleSettingsResource

Cosmos DB resource for autoscale settings. Either throughput is required or autoscaleSettings is required, but not both.

instantMaximumThroughput

string

The offer throughput value to instantly scale up without triggering splits

minimumThroughput

string

The minimum throughput of the resource

offerReplacePending

string

The throughput replace is pending

softAllowedMaximumThroughput

string

The maximum throughput value or the maximum maxThroughput value (for autoscale) that can be specified

throughput

integer

Value of the Cosmos DB resource throughput. Either throughput is required or autoscaleSettings is required, but not both.

ThroughputSettingsUpdateParameters

The RUs per second of the parameters to provide for the current MongoDB collection.

Name Type Description
id

string

The unique resource identifier of the ARM resource.

location

string

The location of the resource group to which the resource belongs.

name

string

The name of the ARM resource.

properties.resource

ThroughputSettingsResource

The standard JSON format of a resource throughput

tags

object

Tags are a list of key-value pairs that describe the resource. These tags can be used in viewing and grouping this resource (across resource groups). A maximum of 15 tags can be provided for a resource. Each tag must have a key no greater than 128 characters and value no greater than 256 characters. For example, the default experience for a template type is set with "defaultExperience": "Cassandra". Current "defaultExperience" values also include "Table", "Graph", "DocumentDB", and "MongoDB".

type

string

The type of Azure resource.